Home

# Class goog.ui.GaugeTheme

A class for the default color theme for a Gauge. Users can extend this class to provide a custom color theme, and apply the custom color theme by calling {@link goog.ui.Gauge#setTheme}.

Instance Method Summary
| `getExternalBorderFill(number cx, number cy, number r) ⇒ ?goog.graphics.Fill` Returns the fill for the external border of the gauge.
| `getExternalBorderStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the external border of the gauge.
| `getHingeFill(number cx, number cy, number r) ⇒ ?goog.graphics.Fill` Returns the fill for the hinge at the center of the gauge.
| `getHingeStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the hinge at the center of the gauge.
| `getInternalBorderFill(number cx, number cy, number r) ⇒ ?goog.graphics.Fill` Returns the fill for the internal border of the gauge.
| `getInternalBorderStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the internal border of the gauge.
| `getMajorTickStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the major ticks of the gauge.
| `getMinorTickStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the minor ticks of the gauge.
| `getNeedleFill(number cx, number cy, number r) ⇒ ?goog.graphics.Fill` Returns the fill for the hinge at the center of the gauge.
| `getNeedleStroke() ⇒ ?goog.graphics.Stroke` Returns the stroke for the gauge needle.
| `getTickLabelColor() ⇒ string` Returns the color for the labels (formatted values) of tick marks.
| `getTitleColor() ⇒ string` Returns the color for the gauge title.
| `getValueColor() ⇒ string` Returns the color for the gauge value.